新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

为当前最终发行版之前的所有版本提供支持
回复
今夜听风
帖子: 4
注册时间: 2017-12-29 20:28
系统: ubuntu16.04
送出感谢: 0
接收感谢: 0

新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#1

帖子 今夜听风 » 2017-12-29 20:41

RESCUER-R720-15IKBN:~$ sudo apt-get install libprotobuf-dev libleveldb-dev libsnappy-dev libopencv-dev libhdf5-serial-dev protobuf-compiler
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会同时安装下列软件:
debhelper dh-strip-nondeterminism gir1.2-gtk-2.0 hdf5-helpers i965-va-driver
libaacs0 libaec-dev libaec0 libatk1.0-dev libavcodec-dev libavcodec-ffmpeg56
libavformat-dev libavformat-ffmpeg56 libavutil-dev libavutil-ffmpeg54
libbdplus0 libbluray1 libcairo-script-interpreter2 libcairo2-dev
libcrystalhd3 libcv-dev libcvaux-dev libdc1394-22 libdc1394-22-dev
libfile-stripnondeterminism-perl libfontconfig1-dev libfreetype6-dev
libgdk-pixbuf2.0-dev libgfortran3 libgme0 libgsm1 libgtk2.0-dev libgtkglext1
libharfbuzz-dev libharfbuzz-gobject0 libhdf5-10 libhdf5-cpp-11 libhdf5-dev
libhighgui-dev libilmbase-dev libjasper-dev libjbig-dev libjpeg-dev
libjpeg-turbo8-dev libjpeg8-dev libleveldb1v5 liblzma-dev
libmail-sendmail-perl libmodplug1 libmp3lame0 libopencv-calib3d-dev
libopencv-calib3d2.4v5 libopencv-contrib-dev libopencv-contrib2.4v5
libopencv-core-dev libopencv-core2.4v5 libopencv-features2d-dev
libopencv-features2d2.4v5 libopencv-flann-dev libopencv-flann2.4v5
libopencv-gpu-dev libopencv-gpu2.4v5 libopencv-highgui-dev
libopencv-highgui2.4v5 libopencv-imgproc-dev libopencv-imgproc2.4v5
libopencv-legacy-dev libopencv-legacy2.4v5 libopencv-ml-dev
libopencv-ml2.4v5 libopencv-objdetect-dev libopencv-objdetect2.4v5
libopencv-ocl-dev libopencv-ocl2.4v5 libopencv-photo-dev
libopencv-photo2.4v5 libopencv-stitching-dev libopencv-stitching2.4v5
libopencv-superres-dev libopencv-superres2.4v5 libopencv-ts-dev
libopencv-ts2.4v5 libopencv-video-dev libopencv-video2.4v5
libopencv-videostab-dev libopencv-videostab2.4v5 libopencv2.4-java
libopencv2.4-jni libopenexr-dev libopenjpeg5 libpango1.0-dev libpixman-1-dev
libpng12-dev libprotoc9v5 libraw1394-dev libraw1394-tools
libschroedinger-1.0-0 libshine3 libsnappy1v5 libsoxr0 libssh-gcrypt-4
libswresample-dev libswresample-ffmpeg1 libswscale-dev libswscale-ffmpeg3
libsys-hostname-long-perl libsz2 libtbb2 libtiff5-dev libtiffxx5 libtwolame0
libva1 libx264-148 libx265-79 libxcb-shm0-dev libxcomposite-dev
libxcursor-dev libxft-dev libxinerama-dev libxml2-utils libxrandr-dev
libxrender-dev libxvidcore4 libzvbi-common libzvbi0 mesa-va-drivers
opencv-data po-debconf va-driver-all x11proto-composite-dev
x11proto-randr-dev x11proto-render-dev x11proto-xinerama-dev
建议安装:
dh-make libbluray-bdj libcairo2-doc firmware-crystalhd libgtk2.0-doc
libhdf5-doc leveldb-doc liblzma-doc libpango1.0-doc libraw1394-doc
libmail-box-perl libfglrx-amdxvba1
下列【新】软件包将被安装:
debhelper dh-strip-nondeterminism gir1.2-gtk-2.0 hdf5-helpers i965-va-driver
libaacs0 libaec-dev libaec0 libatk1.0-dev libavcodec-dev libavcodec-ffmpeg56
libavformat-dev libavformat-ffmpeg56 libavutil-dev libavutil-ffmpeg54
libbdplus0 libbluray1 libcairo-script-interpreter2 libcairo2-dev
libcrystalhd3 libcv-dev libcvaux-dev libdc1394-22 libdc1394-22-dev
libfile-stripnondeterminism-perl libfontconfig1-dev libfreetype6-dev
libgdk-pixbuf2.0-dev libgfortran3 libgme0 libgsm1 libgtk2.0-dev libgtkglext1
libharfbuzz-dev libharfbuzz-gobject0 libhdf5-10 libhdf5-cpp-11 libhdf5-dev
libhdf5-serial-dev libhighgui-dev libilmbase-dev libjasper-dev libjbig-dev
libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev libleveldb-dev libleveldb1v5
liblzma-dev libmail-sendmail-perl libmodplug1 libmp3lame0
libopencv-calib3d-dev libopencv-calib3d2.4v5 libopencv-contrib-dev
libopencv-contrib2.4v5 libopencv-core-dev libopencv-core2.4v5 libopencv-dev
libopencv-features2d-dev libopencv-features2d2.4v5 libopencv-flann-dev
libopencv-flann2.4v5 libopencv-gpu-dev libopencv-gpu2.4v5
libopencv-highgui-dev libopencv-highgui2.4v5 libopencv-imgproc-dev
libopencv-imgproc2.4v5 libopencv-legacy-dev libopencv-legacy2.4v5
libopencv-ml-dev libopencv-ml2.4v5 libopencv-objdetect-dev
libopencv-objdetect2.4v5 libopencv-ocl-dev libopencv-ocl2.4v5
libopencv-photo-dev libopencv-photo2.4v5 libopencv-stitching-dev
libopencv-stitching2.4v5 libopencv-superres-dev libopencv-superres2.4v5
libopencv-ts-dev libopencv-ts2.4v5 libopencv-video-dev libopencv-video2.4v5
libopencv-videostab-dev libopencv-videostab2.4v5 libopencv2.4-java
libopencv2.4-jni libopenexr-dev libopenjpeg5 libpango1.0-dev libpixman-1-dev
libpng12-dev libprotobuf-dev libprotoc9v5 libraw1394-dev libraw1394-tools
libschroedinger-1.0-0 libshine3 libsnappy-dev libsnappy1v5 libsoxr0
libssh-gcrypt-4 libswresample-dev libswresample-ffmpeg1 libswscale-dev
libswscale-ffmpeg3 libsys-hostname-long-perl libsz2 libtbb2 libtiff5-dev
libtiffxx5 libtwolame0 libva1 libx264-148 libx265-79 libxcb-shm0-dev
libxcomposite-dev libxcursor-dev libxft-dev libxinerama-dev libxml2-utils
libxrandr-dev libxrender-dev libxvidcore4 libzvbi-common libzvbi0
mesa-va-drivers opencv-data po-debconf protobuf-compiler va-driver-all
x11proto-composite-dev x11proto-randr-dev x11proto-render-dev
x11proto-xinerama-dev
升级了 0 个软件包,新安装了 139 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0 B/45.9 MB 的归档。
解压缩后会消耗 240 MB 的额外空间。
您希望继续执行吗? [Y/n] y
正在从软件包中解出模板:100%
dpkg:警告:在 PATH 环境变量中找不到 find 或没有可执行权限
dpkg:错误:1 在环境变量 PATH 中找不到该程序,或不可执行
提示:root 的 PATH 环境变量通常应当包含 /usr/local/sbin、/usr/sbin 和 /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)
头像
qy117121
论坛版主
帖子: 49892
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#2

帖子 qy117121 » 2017-12-29 21:49

渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
funicorn
帖子: 1131
注册时间: 2005-09-13 4:56
系统: Ubuntu QQ
送出感谢: 0
接收感谢: 47 次

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#3

帖子 funicorn » 2017-12-29 22:36

RESCUER-R720-15IKBN,这是你的本地系统,还是外部系统?
添加ppa后只更新此ppa:
update-ppa()
{ sudo apt-get update -o Dir::Etc::sourcelist="sources.list.d/$1.list" -o Dir::Etc::sourceparts="-" -o APT::Get::List-Cleanup="0"
}
写入~/.bashrc,source一下,就可以直接用,是不是很方便?觉得方便就按个赞。
头像
九天星
帖子: 1347
注册时间: 2007-07-14 20:45
送出感谢: 67 次
接收感谢: 39 次

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#4

帖子 九天星 » 2017-12-30 3:08

代码: 全选

# vi /root/.bashrc
在最后一行里面 加入 下面这三行

代码: 全选

export PATH=/usr/local/sbin:$PATH
export PATH=/usr/sbin:$PATH
export PATH=/sbin:$PATH

然后重新reboot电脑 然后就可以安装程序了、、、、


406941848.jpg
今夜听风
帖子: 4
注册时间: 2017-12-29 20:28
系统: ubuntu16.04
送出感谢: 0
接收感谢: 0

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#5

帖子 今夜听风 » 2017-12-30 23:53

qy117121 写了:http://blog.sina.com.cn/s/blog_5c4dd3330100i7bg.html
参考下这个看看
按照做了,可是不行
今夜听风
帖子: 4
注册时间: 2017-12-29 20:28
系统: ubuntu16.04
送出感谢: 0
接收感谢: 0

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#6

帖子 今夜听风 » 2017-12-30 23:56

RESCUER-R720-15IKBN 是我本地的系统。大家的方法我都有参考,可是还是不行
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#7

帖子 poloshiao » 2017-12-31 8:31

RESCUER-R720-15IKBN:~$
把下面指令 複製 貼進終端機 執行
1. sudo cat /etc/issue
2. sudo cat /etc/hostname
3. whoami
4. sudo echo $HOME
5. pwd
6. sudo echo $PATH
把結果直接複製 貼上來
今夜听风
帖子: 4
注册时间: 2017-12-29 20:28
系统: ubuntu16.04
送出感谢: 0
接收感谢: 0

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#8

帖子 今夜听风 » 2018-01-01 20:27

poloshiao 写了:
RESCUER-R720-15IKBN:~$
把下面指令 複製 貼進終端機 執行
1. sudo cat /etc/issue
2. sudo cat /etc/hostname
3. whoami
4. sudo echo $HOME
5. pwd
6. sudo echo $PATH
把結果直接複製 貼上來
下面的是结果:
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo cat/etc/issue
[sudo] wuxiaofu 的密码:
sudo: cat/etc/issue:找不到命令
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo cat/etc/hostname
sudo: cat/etc/hostname:找不到命令
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo cat /etc/issue
Ubuntu 16.04.3 LTS \n \l

wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo cat /etc/hostname
wuxiaofu-RESCUER-R720-15IKBN
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ whoami
wuxiaofu
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo echo $HOME
/home/wuxiaofu
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ pwd
/home/wuxiaofu
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$ sudo echo $PATH
/usr/local/cuda-8.0/bin:/home/wuxiaofu/bin:/home/wuxiaofu/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
wuxiaofu@wuxiaofu-RESCUER-R720-15IKBN:~$
感谢了
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 新人求助,困扰我一整天了,想知道怎样才能安装我想安装的,感谢了

#9

帖子 poloshiao » 2018-01-02 12:44

dpkg:警告:在 PATH 环境变量中找不到 find 或没有可执行权限
dpkg:错误:1 在环境变量 PATH 中找不到该程序,或不可执行

參閱
https://stackoverflow.com/questions/165 ... executable
Debian aptitude install: 'find' not found in PATH or not executable

優先處理
sudo ls -Al /usr/bin | grep find
看看是否存在 以及 其權限
回复

回到 “老旧版本支持”